Cannot install driver for Canon C5030I copier

Forum rules
Before you post please read this
bigal
Level 4
Level 4
Posts: 304
Joined: Mon Aug 03, 2009 3:26 am
Location: Pembrokeshire, South West Wales

Cannot install driver for Canon C5030I copier

Post by bigal » Sun Mar 03, 2019 9:37 am

Mint 18.3 Cinnamon 64 bit.

The printer does not have an entry in the usual Add Printers section of the Tools menu.

Downloaded driver, Cque_v4.0.1_Linux_64_EN.deb, from the Canon website and installed it in the usual fashion.

I have instructions for Cque v2.0 but not for v4 but never the less it seemed to me that the installation would be along the same lines. Changed to the /opt/cel directory and ran the setup file that had been created by the deb driver. However, instead of the expected graphical installation all I got was this

Code: Select all

alan@netclient015 ~ $ sudo /opt/cel/bin/setup
[sudo] password for alan: 
localhost [127.0.0.1] 631 (ipp) openalan@netclient015 ~ $
alan@netclient015 ~ $
I went into Menu>Printers and could now see the copier correctly in the Network printers section (it has a fixed IP address of 192.168.0.6) but no matter what I do all I get is a paper size error shewing on the printers own control panel.

In the computer printers panel I get two options.
Print test page
Print self test page
Printing the former results in an error in the printers own control panel saying that the “Most proper size A4 is not available” while printing the latter says that “Most proper size A3 is not available”. Even attempting to print an ordinary A4 Libre Office Writer document results in the same A4 error. I do not know where to go from here.

While to copier is new to us it was bought second hand with no guarantee. Canon say that they do not support Linux installations and the French company that supply the Cque driver for Canon will not answer my emails. http://mv-informatique.com/ncontactE.php
or
http://mv-informatique.com/nprodSQueX11E.php

bigal
Level 4
Level 4
Posts: 304
Joined: Mon Aug 03, 2009 3:26 am
Location: Pembrokeshire, South West Wales

Re: Cannot install driver for Canon C5030I copier

Post by bigal » Sun Mar 10, 2019 8:11 am

Canon have just released a new driver for our printer so I downloaded it and started again.

The file is called linux-UFRII-drv-v370-uken-05.tar.gz. I moved it to folder /usr/local/sbin and unpacked it

Code: Select all

sudo tar -zxvf linux-UFRII-drv-v370-uken-05.tar.gz
I noted that unpacking the file had caused it to drop the ‘-05 suffix.

Next I checked that it had unpacked okay and found that the package had a script called
install.sh
Checked the file permissions and saw that they were okay
-rwxr-xr-x
and had the executable bit set.

So tried to install the driver using

Code: Select all

sudo apt install /usr/local/sbin/linux-UFRII-drv-v370-uken/install.sh
Installation failed with the error message
E: Unsupported file /usr/local/sbin/linux-UFRII-drv-v370-uken/install.sh given on the command line
This is getting silly, we have a £2,000 printer that we canot use and I really do not know what to do next. Can anyone offer any suggestions – PLEASE!

brian_p
Level 5
Level 5
Posts: 675
Joined: Thu Jan 17, 2019 9:20 am

Re: Cannot install driver for Canon C5030I copier

Post by brian_p » Sun Mar 10, 2019 8:40 am

--
Brian.

bigal
Level 4
Level 4
Posts: 304
Joined: Mon Aug 03, 2009 3:26 am
Location: Pembrokeshire, South West Wales

Re: Cannot install driver for Canon C5030I copier

Post by bigal » Thu Mar 14, 2019 10:09 am

Thank you for the link Brian. I am sorry I have been a long time responding but I am still struggling. I have the printer installed and visible in CUPS and the details are all correct. viz
Description: Canon iR-ADV C5030/5035
Location: Office
Driver: Canon iR-ADV C5030/5035 PPD (color, 2-sided printing)
Connection: socket://192.168.0.6:9100
Defaults: job-sheets=none, none media=iso_a4_210x297mm sides=two-sided-long-edge
However, no matter what I send to the printer I get told to load A3 paper. The error on the printer is
“The most proper size of A3 is not available”
I have been searching around on the net but the only thing I could come up with was this post on a printer forum

Code: Select all

http://www.copytechnet.com/forums/canon/127908-ir-adv-4245-message-appropriate-paper-size-a4-not-available-when-using-adf.html
I do not know if this applies to our printer or not, and if it does, what to do about it. It is way above my knowledge level. As a precaution I have completely wiped my OS and did a full installation then ran through the printer installation in option 1 of the link you kindly sent but I am still lost and not a little out of my depth. Talking of which, I cannot find any references to the ‘-f’ switch in

Code: Select all

apt -f install
which fails when I tried it.

brian_p
Level 5
Level 5
Posts: 675
Joined: Thu Jan 17, 2019 9:20 am

Re: Cannot install driver for Canon C5030I copier

Post by brian_p » Thu Mar 14, 2019 1:04 pm

From a Canon manual at

http://gdlp01.c-wss.com/gds/4/030000425 ... uv_R_1.pdf
If this message appears even though the displayed paper size is loaded, set [Paper Drawer Auto Selection On/Off ] for the desired paper drawer to ‘On’. (See e-Manual > Settings/Registration.)

Load paper of the displayed size. If you press (Start) without loading the paper, the paper loaded in the currently selected paper drawer will be printed on
Also:

https://condoroffice.co.uk/manuals/irad ... 10519.html
I do not know if this applies to our printer or not, and if it does, what to do about it. It is way above my knowledge level. As a precaution I have completely wiped my OS and did a full installation then ran through the printer installation in option 1 of the link you kindly sent but I am still lost and not a little out of my depth. Talking of which, I cannot find any references to the ‘-f’ switch in......
The two links are about the best I can do to help.

From

Code: Select all

man apt
Much like apt itself, its manpage is intended as an end user interface and as such only mentions the most used commands and options partly to not duplicate information in multiple places and partly to avoid overwhelming readers with a cornucopia of options and details.

Code: Select all

apt-get -f install
is possibly less confusing and should work
--
Brian.

bigal
Level 4
Level 4
Posts: 304
Joined: Mon Aug 03, 2009 3:26 am
Location: Pembrokeshire, South West Wales

Re: Cannot install driver for Canon C5030I copier

Post by bigal » Thu Mar 14, 2019 4:15 pm

Hi Brian,

To start from the bottom

Code: Select all

$ sudo apt-get -f install
worked okay. The output read
0 to upgrade, 0 to newly install, 0 to remove and 26 not to upgrade
so no problems there (Thank goodness).

I had read apt man page when I ran into the problem and long before I posted (there is no ‘help’ page). In fact I looked around the internet quite a lot but seem to be unable to find any references to the apt switches anywhere. I have no doubt that the information is out there - somewhere. I just couldn’t find it. Never mind now though. As the output from the revised command you suggested was okay that is the least of my worries.

I have looked at the links that you provided for the pdf and html manuals. It seems that no matter how much I try I always get the same error message from the printer. The default paper size is set to A4 yet the machine always complains about A3. I cannot log in as an administrator as I do not know the System Manager ID or the System Manager PIN and cannot log in as an end user as I do not know that pin either. Reading through those two documents it seems to me that I must log in somehow to make any changes although I do not see what changes I could make that would help. On the printer panel the paper sizes all correspond to what is in the various drawers.

Than you very much for trying to help. Your input is much appreciated. I am going to sign up for that printer tech support forum and see if they will talk to me.

Yours exasperated.

bigal

bigal
Level 4
Level 4
Posts: 304
Joined: Mon Aug 03, 2009 3:26 am
Location: Pembrokeshire, South West Wales

Re: Cannot install driver for Canon C5030I copier

Post by bigal » Fri Mar 15, 2019 4:06 am

Codehost has been suggested to me. Does anyone have any experience of this software company or its products?

brian_p
Level 5
Level 5
Posts: 675
Joined: Thu Jan 17, 2019 9:20 am

Re: Cannot install driver for Canon C5030I copier

Post by brian_p » Fri Mar 15, 2019 8:14 am

PLAN A
=====

printer-driver-gutenprint has a PPD for canon-ir_c5030. It is not available on Mint 19.1 but can be obtained from Ubuntu's cosmic archive. You will need that package and libgutenprint9. Install with dpkg -i.

Canon do not distinguish between C5030 and C5030i in their own PPDs, so it should have a chance of working. Gutenprint class the driver as EXPERIMENTAL.

PLAN B involves more typing and is available on demand.
--
Brian.

bigal
Level 4
Level 4
Posts: 304
Joined: Mon Aug 03, 2009 3:26 am
Location: Pembrokeshire, South West Wales

Re: Cannot install driver for Canon C5030I copier

Post by bigal » Fri Mar 15, 2019 8:33 am

Hi Brian,

Thank you for PLAN A. That description is brilliant! Would you be offended if I wait, at least until tomorrow, to see if there are any suggestions on the Copytech forum?

Quite apart from this printing issue I am not entirely happy with Mint 19.1. I don’t like the GNOME version, and there have been issues with the packaged version of Libre Office as well. As a result I have been considering doing a re-install and going back to 18.3. For now, I will wait, at least until after tomorrow and see what transpires.

I am only a two finger typist but that doesn’t bother me. What does is all the time you are putting in to help me (and, I note, a lot of others). Thank you.

brian_p
Level 5
Level 5
Posts: 675
Joined: Thu Jan 17, 2019 9:20 am

Re: Cannot install driver for Canon C5030I copier

Post by brian_p » Sat Mar 16, 2019 10:56 am

Would you be offended if I wait, at least until tomorrow, to see if there are any suggestions on the Copytech forum?
Not at all. Oh, BTW, I think you will need the Ubuntu disco archive, not cosmic. You also need libgutenprint-common from there too.
--
Brian.

bigal
Level 4
Level 4
Posts: 304
Joined: Mon Aug 03, 2009 3:26 am
Location: Pembrokeshire, South West Wales

Re: Cannot install driver for Canon C5030I copier

Post by bigal » Tue Mar 19, 2019 10:58 am

Hi Brian,

Sorry I have been longer than expected in getting back to you. There are time when work just has to intervene!

Anyway, I have done a fresh install and am now running 64 bit Mint 18.3 Cinnamon. I still followed your instructions at

Code: Select all

https://wiki.debian.org/PrinterDriver/Canon/UFR-II#Installation_of_the_Printer_Drivers:_Method_1
and have managed to reproduce the same error.
The most proper size of A3 is not available
I have not gone any further as
printer-driver-gutenprint v5.2.11-1
is already installed by default as is
libgutenprint2
so PLAN A is on hold.

PS. I notice that the installation instructions you suggested have been changed. Did you write them?

brian_p
Level 5
Level 5
Posts: 675
Joined: Thu Jan 17, 2019 9:20 am

Re: Cannot install driver for Canon C5030I copier

Post by brian_p » Tue Mar 19, 2019 1:50 pm

bigal wrote:
Tue Mar 19, 2019 10:58 am
Hi Brian,

Sorry I have been longer than expected in getting back to you. There are time when work just has to intervene!
Hello Bigal,

I'll be in the same position until the beginning of next week.
Anyway, I have done a fresh install and am now running 64 bit Mint 18.3 Cinnamon. I still followed your instructions at

Code: Select all

https://wiki.debian.org/PrinterDriver/Canon/UFR-II#Installation_of_the_Printer_Drivers:_Method_1
and have managed to reproduce the same error.
The most proper size of A3 is not available
I feel this is a Canon issue and not the fault of the Mint printing system. Have you tried Canon support. For such a top-of-the-line printer you'd expect some help, even if you are using Linux.
I have not gone any further as
printer-driver-gutenprint v5.2.11-1
is already installed by default as is
libgutenprint2
so PLAN A is on hold.
Please keep it on hold indefinitely! I messed up and did not notice a greater version of libc6 is required. For such an important library I am not prepared to advise upgrading it; nor would I want to guide someone through the process. A shame really; printer-driver-gutenprint 5.3.1 has a PPD for your printer and, IMO, gutenprint would get it working. Sorry if my inadequate testing raised your hopes.

You may as well have PLAN B. I have never done it myself but it's worth a try. I tested that a printable file is obtained but cannot know (obviously) how the printer will behave.

The C5030i is a PostScript printer. There is a Canon PPD in /etc/cups/ppd from when you set up the printer with the Canon drivers. Copy this PPD somewhere and edit it to remove the line beginning *cupsFilter. Rename the file to something like c5030i-ps.ppd and set up a print queue with it in your usual way.

The printing system is now obliged to produce a PostScript file that is sent directly to the printer. I'd expect the printing to be successful but check on whether the options sent (duplex, for example) are acted on by the device.
PS. I notice that the installation instructions you suggested have been changed. Did you write them?
Acting on user feedback and on Canon's change in file naming seemed a good idea.

There is also a PLAN C. If I get time later this evening (no promises), I'll post it.
--
Brian.

brian_p
Level 5
Level 5
Posts: 675
Joined: Thu Jan 17, 2019 9:20 am

Re: Cannot install driver for Canon C5030I copier

Post by brian_p » Tue Mar 19, 2019 3:10 pm

PLAN C
=====

Download the Generic Plus PS3 Printer Driver file:

https://www.canon.co.uk/support/product ... anguage=en

and put it in a specially created directory.

Extract the files in the .exe with

Code: Select all

7z x GPlus_PS3_Driver_V200_32_64_00.exe
Change to either the 32-BIT or x64 directories and then to the Driver directory.

Now

Code: Select all

cabextract gpps3.cab
You want cns3gp.ppd. Use it to set up a print queue as in PLAN B. Test.

There isn't a PLAN D.
--
Brian.

bigal
Level 4
Level 4
Posts: 304
Joined: Mon Aug 03, 2009 3:26 am
Location: Pembrokeshire, South West Wales

Re: Cannot install driver for Canon C5030I copier

Post by bigal » Wed Mar 20, 2019 8:58 am

Hi Brian,

A little background. Our previous printer was a Canon CLC3200 We used CQue.2.0 to create the queue and that worked without any problems right up to and including Mint 18.3. Then we acquired the C5030I together with a LBP7680Cx laser printer direct from a local firm that closed down. I ran them both using the old CQue 2.0 software. There was an issue with colour on the big printer but instinct told me that was probably something to do with calibration rather than the driver. Something I was going to look into – in the fullness of time. Then came the upgrade to 19.1. No CQue 2.0 driver available from Canon (alas I didn’t keep the original software) only CQue 4.0. It didn’t install properly at all so I started looking around. Canon refused to offer any support, even if I paid. Their attitude is “Its Linux, we have supplied a driver. You’re on your own”. CQue appears to be a French company. They will not answer emails in French or English and will not talk to me on the ‘phone. I was only asking for a manual. Canon are not my favourite company just now.

I haven’t even started on the laser printer. I thought one thing at a time. I have got a copy of the c5030i ppd file that got installed and produces the error. It runs to 6856 lines. Is there mileage in going through that to see if that is where the problem lies. I have also got a copy of the ppd for the old clc3200. Could I try that? I confess that I am not willing to do anything that will damage my fresh installation of 18.3. While installation itself is quick, getting all the local office bits set up is no so.

I off out to a meeting in a minute. (And tomorrow) I’ll have a look at PLAN C after that.

Cheers

bigal
Level 4
Level 4
Posts: 304
Joined: Mon Aug 03, 2009 3:26 am
Location: Pembrokeshire, South West Wales

Re: Cannot install driver for Canon C5030I copier

Post by bigal » Fri Mar 22, 2019 2:44 am

Hi again.

I’m afraid Plan B didn’t work either.

As you know the machine I am using as our print server has a fresh install of 64 bit 18.3 Cinnamon. As is my usual practice whenever I do an installation I created a manual Timeshift restore point as soon as all the initial updates have been completed. I tried to implement Plan B but was unable as the plan A software prevented me from pointing the print installer to a ppd file, instead just replicating what had gone before. As that was the case I restored the system to that initial point and then went for Plan B. Regrettably the results were just the same, with the same error message.

brian_p
Level 5
Level 5
Posts: 675
Joined: Thu Jan 17, 2019 9:20 am

Re: Cannot install driver for Canon C5030I copier

Post by brian_p » Fri Mar 22, 2019 7:42 am

I am unfamiliar with Timeshift. What I would have done is: get the URI of the printer with

Code: Select all

lpinfo -v

Code: Select all

lpadmin -p c5030 -v <URI> -E -P c5030i-ps.ppd
No executable software from Canon is used. A repeat of the original error would point at the PPD or the setup on the machine.
--
Brian.

bigal
Level 4
Level 4
Posts: 304
Joined: Mon Aug 03, 2009 3:26 am
Location: Pembrokeshire, South West Wales

Re: Cannot install driver for Canon C5030I copier

Post by bigal » Fri Mar 22, 2019 9:51 am

The Timeshift snapshot restoration puts all relevant system files back to their state at the time the snapshot was taken.

The ip of the printer (as with all devices on our LAN) is manually set. It is 192.168.0.6.

$ lpinfo -v gives

Code: Select all

network socket://192.168.0.6

Code: Select all

$ sudo lpadmin -p c5030 -v 192.168.0.6 -E -P data/Printers/Canon_C5030i/c5030i-ps.ppd
lpadmin: Bad device-uri "192.168.0.6"
Just as a check

Code: Select all

$ ping 192.168.0.6
PING 192.168.0.6 (192.168.0.6) 56(84) bytes of data.
64 bytes from 192.168.0.6: icmp_seq=1 ttl=64 time=3.00 ms
64 bytes from 192.168.0.6: icmp_seq=2 ttl=64 time=0.318 ms
64 bytes from 192.168.0.6: icmp_seq=3 ttl=64 time=0.314 ms
^C
--- 192.168.0.6 ping statistics ---
3 packets transmitted, 3 received, 0% packet loss, time 2030ms
rtt min/avg/max/mdev = 0.314/1.212/3.004/1.267 ms

brian_p
Level 5
Level 5
Posts: 675
Joined: Thu Jan 17, 2019 9:20 am

Re: Cannot install driver for Canon C5030I copier

Post by brian_p » Sun Mar 24, 2019 7:52 pm

The URI (the -v option) is socket://192.168.0.6.
--
Brian.

bigal
Level 4
Level 4
Posts: 304
Joined: Mon Aug 03, 2009 3:26 am
Location: Pembrokeshire, South West Wales

Re: Cannot install driver for Canon C5030I copier

Post by bigal » Mon Mar 25, 2019 6:37 am

brian_p wrote:
Sun Mar 24, 2019 7:52 pm
The URI (the -v option) is socket://192.168.0.6.
I am ashamed to say that goes to shew just how little I know.

Running the revised command installed the printer but the original error still persists. As the copier did work okay when using the original driver (Oh why oh why didn’t I keep it) I feel forced to say that, given the two options you put forward, it must be the ppd file at fault.

The ppd now runs to 1183 lines.
Line 336 says “*DefaultPageSize: A4”
According to

Code: Select all

https://papersizes.io/a/
et al A3 paper is 2970 x 4200mm while A4 is 2100 x 2970mm. Not one of the A3 or A4 paper sizes in the ppd correspond to those sizes. Instead it shews A3 as
842 1191
and A4 as
595 842
Do you think it would be worth changing them? If not, should I look at something in another area of the ppd, and if so what?

In any case, as the default paper is A4 why does the A3 error message appear? I’m sorry. It seems that there are just questions and more questions.

brian_p
Level 5
Level 5
Posts: 675
Joined: Thu Jan 17, 2019 9:20 am

Re: Cannot install driver for Canon C5030I copier

Post by brian_p » Mon Mar 25, 2019 7:47 am

Do you think it would be worth changing them? If not, should I look at something in another area of the ppd, and if so what?
I have no skills in altering or ammending a PPD, but I think the second set of data is in points.

Anyway, something to try without a PPD involved. Any valid PostScript file sent directly to the printer should print.

Code: Select all

nc 192.168.0.6 9100 <  PostScriptFile
631 instead of 9100 should also work.
--
Brian.

Post Reply

Return to “Printers & Scanners”